package cn.stylefeng.workflow.design.modular.enums;

import cn.stylefeng.roses.kernel.rule.constants.RuleConstants;
import cn.stylefeng.roses.kernel.rule.exception.AbstractExceptionEnum;
import lombok.Getter;

@Getter
public enum NodeExceptionEnum implements AbstractExceptionEnum {

    NODE_NOT_EXISTED(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10001", "node节点信息查询结果不存在，请检查是否已保存流程模型"),

    APPLICANT_TOO_MANY(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10002", "流程图设计错误，不应当有多个发起人"),

    CANT_FIND_APPLICANT(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10003", "查找不到流程发起人配置");

    private final String errorCode;

    private final String userTip;

    NodeExceptionEnum(String errorCode, String userTip) {
        this.errorCode = errorCode;
        this.userTip = userTip;
    }

}